<form novalidate #f="ngForm" (ngSubmit)="onSubmit()">
  <table>
    <tr>
      <th>Name</th>
      <td>
        <input type="text" name="name" [(ngModel)]="user.name" #name="ngModel" />
      </td>
    </tr>

    <tr>
      <th>Age</th>
      <td>
        <input type="number" name="age" [(ngModel)]="user.age" #age="ngModel" />
      </td>
    </tr>

    <tr>
      <th>Date</th>
      <td>
        <input type="date" name="created" [(ngModel)]="user.created" #created="ngModel" />
      </td>
    </tr>

    <tr>
      <th></th>
      <td>
        <button type="submit" [disabled]="f.form.invalid">REGISTER</button>
      </td>
    </tr>
  </table>
</form>
